import { Observable, MonoTypeOperatorFunction } from 'rxjs';
import { Operators } from '../shared/types/operators';
/**
 * Applies truthyOperators to the pipe if observable returns true. Otherwise applies falsyOperators
 * @param observable observable that returns boolean value, depending on which, truthy or falsy operators will be applied to pipe.
 * @param truthyOperators operator, or array of operators that will be applied to pipe if observable returns true
 * @param falsyOperators operator, or array of operators that will be applied to pipe if observable returns false
 */
export declare function applyIfAsync<T>(observable: Observable<boolean>, truthyOperators?: Operators, falsyOperators?: Operators): MonoTypeOperatorFunction<T>;
