"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
var cast_array_1 = require("../shared/utils/cast-array");
/**
 * Applies truthyOperators to the pipe if observable returns true. Otherwise applies falsyOperators
 * @param observable observable that returns boolean value, depending on which, truthy or falsy operators will be applied to pipe.
 * @param truthyOperators operator, or array of operators that will be applied to pipe if observable returns true
 * @param falsyOperators operator, or array of operators that will be applied to pipe if observable returns false
 */
function applyIfAsync(observable, truthyOperators, falsyOperators) {
    if (truthyOperators === void 0) { truthyOperators = []; }
    if (falsyOperators === void 0) { falsyOperators = []; }
    return function (source) { return observable.pipe(
    /**
     * To avoid adding unnecessary code, the ts-ignore was added.
     * Actually you CAN pass operators in array to .pipe() ;).
     * See the source file linked below.
     * This bug is already reported.
     *
     * https://github.com/ReactiveX/rxjs/issues/3989#issuecomment-410585808
     * https://github.com/ReactiveX/rxjs/blob/master/src/internal/util/pipe.ts
     */
    //@ts-ignore
    operators_1.concatMap(function (condition) { return source.pipe.apply(source, cast_array_1.castArray(condition ? truthyOperators : falsyOperators)); })); };
}
exports.applyIfAsync = applyIfAsync;
//# sourceMappingURL=apply-if-async.operator.js.map