"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cast_array_1 = require("../shared/utils/cast-array");
/**
 * applies truthyOperators to the pipe if condition is met. Otherwise applies falsyOperators
 * @param condition condition that decides whether truthyOperators or falsyOperators will be applied to pipe
 * @param truthyOperators operator, or array of operators that will be applied to pipe if condition is truthy
 * @param falsyOperators operator, or array of operators that will be applied to pipe if condition is falsy
 */
function applyIf(condition, truthyOperators, falsyOperators) {
    // @ts-ignore
    return function (source) { return source.pipe.apply(source, cast_array_1.castArray(condition ? truthyOperators : falsyOperators)); };
}
exports.applyIf = applyIf;
//# sourceMappingURL=apply-if.operator.js.map