import { MonoTypeOperatorFunction } from "rxjs";
import { DoWhenPredicate } from './do-when-predicate.type';
/**
 * Performs given task if value that is about to be emitted passes given predicate.
 * @param task function that will be performed if predicate meets its requirements
 * @param predicate condition that needs to be meet in order to perform given task
 */
export declare function doWhen<T>(task: Function, predicate: DoWhenPredicate): MonoTypeOperatorFunction<T>;
