"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Performs given task if value that is about to be emitted passes given predicate.
 * @param task function that will be performed if predicate meets its requirements
 * @param predicate condition that needs to be meet in order to perform given task
 */
function doWhen(task, predicate) {
    return function (source) { return source.pipe(operators_1.tap(function (value) {
        var condition;
        switch (predicate) {
            case 'truthy':
                condition = !value;
                break;
            case 'falsy':
                condition = !!value;
                break;
            default:
                condition = predicate(value);
        }
        if (condition) {
            task(value);
        }
    })); };
}
exports.doWhen = doWhen;
//# sourceMappingURL=do-when.operator.js.map