"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Doesn't emit value if value of given path equals restricted.
 * @param path keys split by dots
 * @example 'a.b.c' for {a: {b: {c: 5}}} returns 5, as well as '[0].a.b.c' for [{a: {b: {c: 5}}}]
 * @param forValue restricted value
 */
function rejectFor(path, forValue) {
    return function (source) { return source.pipe(operators_1.filter(function (value) { return path
        .replace(/\[(\w+)\]/g, '$1')
        .split('.')
        .reduce(function (accumulator, key) { return accumulator[key]; }, value) === forValue; })); };
}
exports.rejectFor = rejectFor;
//# sourceMappingURL=reject-for.operator.js.map