"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Handle response and performs given callbacks if callbacks param exists and returns final callback function
 * @param finalCallback function that will be returned
 * @param callbacks optional array of functions that will be performed if response exists
 */
function switchAndCall(finalCallback, callbacks) {
    return function (source) { return source.pipe(operators_1.switchMap(function (response) {
        if (callbacks) {
            callbacks.forEach(function (callback) { return callback(response); });
        }
        return finalCallback(response);
    })); };
}
exports.switchAndCall = switchAndCall;
//# sourceMappingURL=switch-and-call.operator.js.map