"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
/**
 * Toggles status in passed reference while executing subscription.
 * @param statusReference reference to external variable of type TogglableStatus that describes status of observable.
 */
function toggleStatus(statusReference) {
    return function (source) { return rxjs_1.of(null)
        .pipe(operators_1.tap(function () {
        statusReference.done = false;
        statusReference.busy = true;
    }), operators_1.switchMap(function () { return source; }), operators_1.finalize(function () {
        statusReference.done = true;
        statusReference.busy = false;
    })); };
}
exports.toggleStatus = toggleStatus;
//# sourceMappingURL=toggle-status.operator.js.map